# Summary

[Introduction](README.md)

# Asterinas Kernel

* [Getting Started](kernel/README.md)
* [Advanced Build and Test Instructions](kernel/advanced-instructions.md)
* [The Framekernel Architecture](kernel/the-framekernel-architecture.md)
* [Linux Compatibility](kernel/linux-compatibility.md)
* [Roadmap](kernel/roadmap.md)

# Asterinas Framework

* [An Overview of the Framework](framework/README.md)
* [Example: Writing a Kernel in 100 Lines of Safe Rust](framework/a-100-line-kernel.md)
* [Example: Writing a Driver in 100 Lines of Safe Rust]()
* [Soundness Analysis]()

# Asterinas OSDK

* [OSDK User Guide]()
    * [Why OSDK]()
    * [Creating an OS Project]()
    * [Testing or Running an OS Project]()
    * [Working in a Workspace]()
* [OSDK User Reference]()
    * [Commands]()
        * [cargo osdk new]()
        * [cargo osdk build]()
        * [cargo osdk run]()
        * [cargo osdk test]()
    * [Manifest]()

# How to Contribute

* [Before You Contribute]()
* [Code Organization]()
* [Style Guidelines]()
    * [General Guidelines]() 
    * [Rust Guidelines]() 
    * [Git Guidelines]() 
* [Community]()
* [Code of Conduct]()

# Request for Comments (RFC)

* [RFC Overview]()
    * [RFC-0001: RFC Process]()
    * [RFC-0002: Operating System Development Kit (OSDK)]()
